Skip to main content
GET
/
api
/
event-logs
Get event logs with filters and pagination
curl --request GET \
  --url https://your-instance.example.com/api/event-logs \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "_id": "65e0a0b0c0d0e0f0a0b0c0d0",
      "organizationId": "65a0e0e0e0e0e0e0e0e0e0e0",
      "userId": "65b1f0a2c3d4e5f6a7b8c9d0",
      "eventType": "message.received",
      "direction": "inbound",
      "automationTriggered": true,
      "createdAt": "2026-05-18T14:30:00.000Z"
    }
  ],
  "pagination": {
    "currentPage": 1,
    "totalPages": 7,
    "totalCount": 312,
    "hasNext": true,
    "hasPrev": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:50
Required range: x >= 1
organizationId
string
userId
string
contactId
string
direction
string
automationTriggered
string
days
number
default:7

Response

Event logs returned with pagination

Response from GET /api/event-logs.

success
enum<boolean>
required
Available options:
true
data
object[]
required
pagination
object
required
Example:
{
"currentPage": 1,
"totalPages": 7,
"totalCount": 312,
"hasNext": true,
"hasPrev": false
}